select case grouping (naziv)
                      when 1 then '??'
                      else char(naziv,30)  
            end as naziv,
            case grouping (oznaka_roka)
                      when 1 then '!!'
                      else oznaka_roka
            end  as oznaka_roka,
            dec(avg(ocena*1.0),4,2) as prosek
from   ispit a, predmet b
where  ocena >5
and    a.id_predmeta=b.id_predmeta
group  by grouping sets ((naziv), (oznaka_roka));


--Kao provera šta radi grouping može da se izvrši sledeći upit

--select char(naziv,30) as naziv,
--       oznaka_roka  as oznaka_roka,
--       dec(avg(ocena*1.0),4,2) as prosek
--from   ispit a, predmet b
--where  ocena >5
--and    a.id_predmeta=b.id_predmeta
--group  by cube ((naziv), (oznaka_roka))
